import request from "../request"
import { questionApi } from "./type"

export default {
    //获取分类专题分类
    questionInfoSelectFlQuestionInfo(params: {
        excellIssueName?: string
        excellSort?: number
        liceBus?: string
        liceCar?: string
        liceMoto?: string
        liceTruck?: string
        subject: number
    }): Promise<questionApi.selectSxQuestionInfo> {
        return request({
            params,
            url: "/pc/question/info/selectFlQuestionInfo",
            method: 'get'

        })
    },
    //取题查询题库列表
    questionInfoQlist(params: {

        classIssue?: string
        classIssueName?: string
        subject: number
        isRand: string

    }): Promise<questionApi.selectTestK14QuestionInfoList> {
        return request({
            params,
            url: "/pc/question/info/qlist",
            method: 'get'
        })
    },
    //清空错题
    questionWrongCancelAll(data: {
        km: number
    }) {

        return request({
            data,
            url: "/question/wrong/cancelAll",
            method: 'DELETE',

        })
    },
    //合并本机和云端的错题
    questionWrongWrongs(data:{
        km:number
        wrongs:{id:number,timestamp:number}[]

    }){
        return request({
            data,
            url: "/question/wrong/wrongs",
            method: 'delete',

        })
    },
    //获取用户的错题
    questionWrongWrongByUser(params:{
        km:number
    }){
        return request({
            params,
            url: "/question/wrong/wrongByUser",
            method: 'get',

        })
    }
}